<?php

if (!defined('FORUM')) die();


	$pid = isset($_GET['pid']) ? intval($_GET['pid']) : 0;
	$redirect_link = str_replace('to=', '', stristr($_SERVER['QUERY_STRING'], 'to='));
	
	if (isset($_POST['confirm']))
	{
		if (isset($_SERVER['QUERY_STRING']))
		{
			//Internals links
			if (preg_match('!^https?://'.$_SERVER['HTTP_HOST'].'!', $redirect_link))
				$types = '1';
			else
				$types = '0';
			
			if (($forum_config['o_pan_external_links_internal'] == '1' && $types == '1') ||  ($forum_config['o_pan_external_links_out'] == '1' && $types == '0'))
			{
				$query = array(
					'SELECT'	=> 'id',
					'FROM'		=> 'pan_external_links',
					'WHERE'		=> 'link=\''.$forum_db->escape($redirect_link).'\''
				);
				
				($hook = get_hook('pan_external_links_mi_start_qr_get_links_info')) ? eval($hook) : null;
				$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
				$links_info = $forum_db->fetch_assoc($result);
				
				if ($forum_db->num_rows($result) > 0)
				{
					$query = array(
						'UPDATE'	=> 'pan_external_links',
						'SET'		=> 'сlicked=сlicked+1',
						'WHERE'		=> 'link=\''.$forum_db->escape($redirect_link).'\''
					);
					($hook = get_hook('pan_external_links_mi_start_db_update_new_link')) ? eval($hook) : null;
					$forum_db->query_build($query) or error(__FILE__, __LINE__);
				}
				else
				{
					$query = array(
						'INSERT'	=> 'сlicked, link, post_id, user_id, types',
						'INTO'		=> 'pan_external_links',
						'VALUES'	=> '\'1\', \''.$forum_db->escape($redirect_link).'\', '.$pid.', \''.$forum_user['id'].'\', \''.$types.'\''
					);
					($hook = get_hook('pan_external_links_mi_start_db_insert_new_link')) ? eval($hook) : null;
					$forum_db->query_build($query) or error(__FILE__, __LINE__);
				}
			}
			
			header("Cache-Control: no-cache, must-revalidate");
			header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");
			
			header('Location: '.$redirect_link);
		
		}
		
		$forum_db->end_transaction();
		$forum_db->close();
		exit;
	
	}
	else if (isset($_POST['cancel']))
	{
		if ($pid > 0) {
			$out_link = forum_link($forum_url['post'], $pid);
			header('Location: '.$out_link);
		} else {
			header('Location: '.$base_url);
		}
		
		$forum_db->end_transaction();
		$forum_db->close();
		exit;
	}
	
	
	if ($forum_config['o_pan_external_links_confirm'] == '1')
	{
		if (file_exists($ext_info['path'].'/lang/'.$forum_user['language'].'.php') )
			include $ext_info['path'].'/lang/'.$forum_user['language'].'.php';
		else
			include $ext_info['path'].'/lang/English.php';
		
		// Setup breadcrumbs
		$forum_page['crumbs'] = array(
			array($forum_config['o_board_title'], forum_link($forum_url['index'])),
			$lang_pan_external_links['links_confirm']
		);
		
		($hook = get_hook('mi_pan_external_links_confirm')) ? eval($hook) : null;
		
		define('FORUM_PAGE', 'rules');
		require FORUM_ROOT.'header.php';
		
		// START SUBST - <!-- forum_main -->
		ob_start();
		
		($hook = get_hook('mi_pan_external_links_confirm_output_start')) ? eval($hook) : null;
		
?>
<div id="brd-main" class="main">
		
	<div class="main-head">
		<h2 class="hn"><span><?php echo $lang_pan_external_links['links_confirm'] ?></span></h2>
	</div>
	
<?php
		if (!empty($forum_config['o_pan_external_links_msg']))
		{
?>
		
	<div class="main-content main-frm">
		
		<div id="rules-content" class="ct-box user-box">
			<p><?php echo $forum_config['o_pan_external_links_msg'] ?></p>
		</div>
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_external_links_redirect'], array($pid, $redirect_link)) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_external_links_redirect'], array($pid, $redirect_link))) ?>" />
				<input type="hidden" name="confirm_pid" value="<?php echo $pid ?>" />
				<input type="hidden" name="confirm_link" value="<?php echo $redirect_link ?>" />
			</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="confirm" value="<?php echo $lang_common['Confirm'] ?>" /></span>
				<span class="cancel"><input type="submit" name="cancel" value="<?php echo $lang_common['Cancel'] ?>" /></span>
			</div>
		</form>
		
	</div>
		
<?php
		
		} else {
?>
		
	<div class="main-content main-frm">
		
		<div class="ct-box info-box">
			<p><?php echo $lang_pan_external_links['links_msg_default'] ?></p>
		</div>
		
		<form class="frm-form" method="post" accept-charset="utf-8" action="<?php echo forum_link($forum_url['pan_external_links_redirect'], array($pid, $redirect_link)) ?>">
			<div class="hidden">
				<input type="hidden" name="csrf_token" value="<?php echo generate_form_token(forum_link($forum_url['pan_external_links_redirect'], array($pid, $redirect_link))) ?>" />
				<input type="hidden" name="confirm_pid" value="<?php echo $pid ?>" />
				<input type="hidden" name="confirm_link" value="<?php echo $redirect_link ?>" />
			</div>
			
			<div class="frm-buttons">
				<span class="submit primary"><input type="submit" name="confirm" value="<?php echo $lang_common['Confirm'] ?>" /></span>
				<span class="cancel"><input type="submit" name="confirm_cancel" value="<?php echo $lang_common['Cancel'] ?>" /></span>
			</div>
		</form>
		
	</div>
		
<?php
		}
?>
</div>
<?php
		
		($hook = get_hook('mi_pan_external_links_confirm_end')) ? eval($hook) : null;
		
		$tpl_temp = forum_trim(ob_get_contents());
		$tpl_main = str_replace('<!-- forum_main -->', $tpl_temp, $tpl_main);
		ob_end_clean();
		// END SUBST - <!-- forum_main -->
		
		require FORUM_ROOT.'footer.php';
	}
	else if (isset($_GET['to']) && ($pid > 0))
	{
		if (isset($_SERVER['QUERY_STRING']))
		{
			$redirect_link = str_replace('to=', '', stristr($_SERVER['QUERY_STRING'], 'to='));
			
			//Internals links
			if (preg_match('!^https?://'.$_SERVER['HTTP_HOST'].'!', $redirect_link))
				$types = '1';
			else
				$types = '0';
			
			if (($forum_config['o_pan_external_links_internal'] == '1' && $types == '1') ||  ($forum_config['o_pan_external_links_out'] == '1' && $types == '0'))
			{
				$query = array(
					'SELECT'	=> 'id',
					'FROM'		=> 'pan_external_links',
					'WHERE'		=> 'link=\''.$forum_db->escape($redirect_link).'\''
				);
				
				($hook = get_hook('pan_external_links_mi_start_qr_get_links_info')) ? eval($hook) : null;
				$result = $forum_db->query_build($query) or error(__FILE__, __LINE__);
				$links_info = $forum_db->fetch_assoc($result);
				
				if ($forum_db->num_rows($result) > 0)
				{
					$query = array(
						'UPDATE'	=> 'pan_external_links',
						'SET'		=> 'сlicked=сlicked+1',
						'WHERE'		=> 'link=\''.$forum_db->escape($redirect_link).'\''
					);
					($hook = get_hook('pan_external_links_mi_start_db_update_new_link')) ? eval($hook) : null;
					$forum_db->query_build($query) or error(__FILE__, __LINE__);
				}
				else
				{
					$query = array(
						'INSERT'	=> 'сlicked, link, post_id, user_id, types',
						'INTO'		=> 'pan_external_links',
						'VALUES'	=> '\'1\', \''.$forum_db->escape($redirect_link).'\', '.$pid.', \''.$forum_user['id'].'\', \''.$types.'\''
					);
					($hook = get_hook('pan_external_links_mi_start_db_insert_new_link')) ? eval($hook) : null;
					$forum_db->query_build($query) or error(__FILE__, __LINE__);
				}
			
			}
			
			header("Cache-Control: no-cache, must-revalidate");
			header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");
			
			header('Location: '.$redirect_link);
		
		}
		
		$forum_db->end_transaction();
		$forum_db->close();
		exit;
	}

