<?php

if(!defined('PAN_EXTERNAL_LINKS_INSTALL')) die();

if (!$forum_db->table_exists('pan_external_links'))
{
	$schema = array(
		'FIELDS'			=> array(
			'id'				=> array(
				'datatype'		=> 'SERIAL',
				'allow_null'	=> false
			),
			'сlicked'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'link'			=> array(
				'datatype'		=> 'VARCHAR(255)',
				'allow_null'	=> false,
				'default'		=> '\'\''
			),
			'post_id'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'user_id'		=> array(
				'datatype'		=> 'INT(10) UNSIGNED',
				'allow_null'	=> false,
				'default'		=> '0'
			),
			'types'		=> array(
				'datatype'		=> 'TINYINT(1)',
				'allow_null'	=> false,
				'default'		=> '0'
			),
		),
		'PRIMARY KEY'	=> array('id'),
		'INDEXES'		=> array(
			'link_idx'		=> array('link', 'post_id', 'user_id' )
		)
	);
	$forum_db->create_table('pan_external_links', $schema);
}

forum_config_add('o_pan_external_links_out', '0');
forum_config_add('o_pan_external_links_internal', '0');
forum_config_add('o_pan_external_links_blank', '0');
forum_config_add('o_pan_external_links_exception', '');
forum_config_add('o_pan_external_links_confirm', '0');
forum_config_add('o_pan_external_links_msg', '');

